DefinitionBlock ("", "SSDT", 2, "DRTNIA", "DTGP_USB", 0x00001000)
{
    External (_SB_.PCI0, DeviceObj)
    External (_SB_.PCI0.EH01, DeviceObj)
    External (_SB_.PCI0.EH02, DeviceObj)

    Scope (\_SB.PCI0.EH01)
    {
            Name (_ADR, 0x001D0000)  // _ADR: Address
            Name (_STA, 0x0F)  // _STA: Status
            Name (_PRW, Package (0x02)  // _PRW: Power Resources for Wake
            {
               0x0D, 
               One
            })

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
               Local0 = Package (0x0F)
                    {
                        "device-id", 
                        Buffer (0x04)
                        {
                             0x34, 0x3A, 0x00, 0x00                           // 4:..
                        }, 

                        "built-in", 
                        Buffer (One)
                        {
                             0x00                                             // .
                        }, 

                        "device_type", 
                        Buffer (0x05)
                        {
                            "EHCI"
                        }, 

                        "AAPL,clock-id", 
                        Buffer (One)
                        {
                             0x00                                             // .
                        }, 

                        "AAPL,current-available", 
                        0x05DC, 
                        "AAPL,current-extra", 
                        0x03E8, 
                        "AAPL,current-in-sleep", 
                        0x0BB8, 
                        Buffer (One)
                        {
                             0x00                                             // .
                        }
                    }
                DTGP (Arg0, Arg1, Arg2, Arg3, RefOf (Local0))
                Return (Local0)
            }

    }

    Scope (\_SB.PCI0.EH02)
    {
            Name (_ADR, 0x001A0000)  // _ADR: Address
            Name (_STA, 0x0F)  // _STA: Status
            Name (_PRW, Package (0x02)  // _PRW: Power Resources for Wake
            {
               0x0D, 
               One
            })

            Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
            {
               Local0 = Package (0x0F)
                    {
                        "device-id", 
                        Buffer (0x04)
                        {
                             0x37, 0x3A, 0x00, 0x00                           // 4:..
                        }, 

                        "built-in", 
                        Buffer (One)
                        {
                             0x00                                             // .
                        }, 

                        "device_type", 
                        Buffer (0x05)
                        {
                            "EHCI"
                        }, 

                        "AAPL,clock-id", 
                        Buffer (One)
                        {
                             0x00                                             // .
                        }, 

                        "AAPL,current-available", 
                        0x05DC, 
                        "AAPL,current-extra", 
                        0x03E8, 
                        "AAPL,current-in-sleep", 
                        0x0BB8, 
                        Buffer (One)
                        {
                             0x00                                             // .
                        }
                    }
                DTGP (Arg0, Arg1, Arg2, Arg3, RefOf (Local0))
                Return (Local0)
            }
    }

    Method (DTGP, 5, NotSerialized)
    {
        If ((Arg0 == ToUUID ("a0b5b7c6-1318-441c-b0c9-fe695eaf949b")))
        {
            If ((Arg1 == One))
            {
                If ((Arg2 == Zero))
                {
                    Arg4 = Buffer (One)
                        {
                             0x03                                             // .
                        }
                    Return (One)
                }
                If ((Arg2 == One))
                {
                    Return (One)
                }
            }
        }
        Arg4 = Buffer (One)
            {
                 0x00                                             // .
            }
        Return (Zero)
    }
}

